{application,tsunami_controller,
             [{vsn,"1.0.beta4"},
              {description,"IDX-TSUNAMI, a bench tool for TCP/UDP servers"},
              {id,[]},
              {modules,[ts_user_server,
                        tsunami_controller,
                        ts_timer,
                        ts_os_mon,
                        ts_msg_server,
                        ts_mon,
                        ts_controller_sup,
                        ts_config_server,
                        ts_config,
                        tsunami_recorder,
                        ts_recorder_sup,
                        ts_proxy_recorder,
                        ts_proxy_listener,
                        ts_client_proxy_sup,
                        ts_client_proxy,
                        ts_utils,
                        tsunami,
                        ts_sup,
                        ts_stats,
                        ts_session_cache,
                        ts_launcher,
                        ts_jabber,
                        ts_jabber_common,
                        ts_http,
                        ts_http_common,
                        ts_client_sup,
                        ts_client_rcv,
                        ts_client]},
              {registered,[ts_mon,ts_config_server,ts_os_mon]},
              {applications,[kernel,stdlib,ssl]},
              {env,[{debug_level,6},
                    {ts_cookie,"humhum"},
                    {clients_timeout,60000},
                    {warm_time,10},
                    {server_name,"glop"},
                    {dumpstats_interval,10000},
                    {monitoring,none},
                    {nclients,10},
                    {nclients_deb,1},
                    {nclients_fin,2000},
                    {config_file,"./idx-tsunami.xml"},
                    {log_file,"./idx-tsunami.log"}]},
              {mod,{tsunami_controller,[]}},
              {start_phases,[{load_config,[]},
                             {start_os_monitoring,[{timeout,30000}]},
                             {start_clients,[]}]}]}.
